package yangtz.cs.liu.campus.domain.accessory;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;

/**
 * 附件对象 accessory
 *
 * @author ruoyi
 * @date 2023-07-24
 */
public class SchoolAccessory
{

    /** 附件主键id */
    private Long id;

    /** 业务id */
    @Excel(name = "业务id")
    private Long businessId;

    /** 模块名称 */
    @Excel(name = "模块名称")
    private String moduleName;

    /** 附件类型 */
    @Excel(name = "附件类型")
    private String accessoryType;

    /** 附件路径 */
    @Excel(name = "附件路径")
    private String accessoryUrl;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String accessoryName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBusinessId(Long businessId)
    {
        this.businessId = businessId;
    }

    public Long getBusinessId()
    {
        return businessId;
    }
    public void setModuleName(String moduleName)
    {
        this.moduleName = moduleName;
    }

    public String getModuleName()
    {
        return moduleName;
    }
    public void setAccessoryType(String accessoryType)
    {
        this.accessoryType = accessoryType;
    }

    public String getAccessoryType()
    {
        return accessoryType;
    }
    public void setAccessoryUrl(String accessoryUrl)
    {
        this.accessoryUrl = accessoryUrl;
    }

    public String getAccessoryUrl()
    {
        return accessoryUrl;
    }
    public void setAccessoryName(String accessoryName)
    {
        this.accessoryName = accessoryName;
    }

    public String getAccessoryName()
    {
        return accessoryName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("businessId", getBusinessId())
                .append("moduleName", getModuleName())
                .append("accessoryType", getAccessoryType())
                .append("accessoryUrl", getAccessoryUrl())
                .append("accessoryName", getAccessoryName())
                .toString();
    }
}
